Bug 626747 - [PATCH] Can't copy a file to a v7 filesystem
Summary: [PATCH] Can't copy a file to a v7 filesystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 09:59 UTC by Lubomir Rintel
Modified: 2010-09-01 06:03 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 06:03:42 UTC


Attachments (Terms of Use)
Add sysv & v7 file systems (both sysv module) (891 bytes, text/plain)
2010-08-24 09:59 UTC, Lubomir Rintel
no flags Details

Description Lubomir Rintel 2010-08-24 09:59:47 UTC
Created attachment 440611 [details]
Add sysv & v7 file systems (both sysv module)

The following patch fixed the problem for me, though I'm not particularly sure about its correctness, possibly due my lacking understanding of selinux policies.

Without it an attempt to copy a file to a loop-mounted v7 image resulted in denial of "associate". Do all file systems have to be explicitly defined in the policy?

Comment 1 Daniel Walsh 2010-08-24 14:23:28 UTC
Yes, or you can mount them using a context mount
man mount and search for context

Do these file systems support xattrs?

Comment 2 Daniel Walsh 2010-08-24 14:25:14 UTC
Fixed in selinux-policy-3.8.8-20.fc14

Comment 3 Lubomir Rintel 2010-08-24 14:53:46 UTC
(In reply to comment #1)
> Yes, or you can mount them using a context mount
> man mount and search for context

Thank you, I did not know about that.

> Do these file systems support xattrs?

No, none of those supported by sysv module do.

Comment 4 Fedora Update System 2010-08-25 03:12:18 UTC
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 5 Fedora Update System 2010-08-25 13:31:44 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 6 Fedora Update System 2010-08-26 18:38:06 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 7 Fedora Update System 2010-09-01 06:02:25 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.